package no.uio.inf5750.assignment3.messaging;

import no.uio.inf5750.assignment3.R;
import android.content.Context;
import android.graphics.drawable.Drawable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;

public class MessageListArrayAdapter extends ArrayAdapter<String>{
	
	private Context mContext;
	private String[] mMessages;
	private String[] mUsernames;
	
	public MessageListArrayAdapter(Context context, int textViewResourceId,
			String[] objects, String[] usernames) {
		super(context, textViewResourceId, objects);
		this.mContext = context;
		this.mMessages = objects;
		this.mUsernames = usernames;
	}
	
	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		LayoutInflater inflater = (LayoutInflater) mContext
				.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
		View rowView = inflater.inflate(R.layout.messages_list_item, parent, false);
		TextView textViewMessage = (TextView) rowView.findViewById(R.id.messages_list_item_message);
		//TextView textViewUsername = (TextView) rowView.findViewById(R.id.messages_list_item_user);

		textViewMessage.setText(mMessages[position]);
		//textViewUsername.setText("From: "+ mUsernames[position]);
		
		return rowView;
	}	

}
