package no.uio.inf5750.assignment3.util;

import java.util.HashMap;
import java.util.LinkedList;

import org.json.JSONObject;

public class Globals {
	
	private static Globals mGlobals;
	private int mCurrentModule;
	
	/**
	 * Makes this class a singleton
	 */
	static {
		mGlobals = new Globals();
	}
	
	public static Globals getGlobals()
	{
		return mGlobals;
	}
	
	/**
	 * Private constructor initiating the default data structures
	 */
	private Globals() {
		mCurrentModule = 0;
	}

	public int getCurrentModule() {
		return mCurrentModule;
	}

	public void setCurrentModule(int currentModule) {
		this.mCurrentModule = currentModule;
	}
	
	

}
